#if !defined(ANTX_HEADER)
#define ANTX_HEADER

// Definitionen
#define GESCHW			30

// Standart Includes
#include <time.h>
#include <stdlib.h>
#include <stdio.h>
// Eigene Includes
#include <sdl.h>
#include "CSpielfeld.h"
#include "CPlayer.h"
#include "CGegner.h"


class CAntX
{
public:
	CAntX(short screen_breite, short screen_hoehe, short feld_breite, short feld_hoehe, short schwfl);
	~CAntX();
	// ffentliche Funtkionen
	void press(SDLKey teste);
	void tick();

private:
	// Variablen
	short schweifl;
	short level;
	short versuche;
	void level_init();
	enum SpielStatus
	{
		SPIELEN,
		VERLOREN,
		LEVEL_WECHSEL
	} status;

	// Wichtige Pointer
	CSpielfeld *spfeld;
	CPlayer *player;
	short anz_gegner;
	CGegner** gegner;

};

#endif
