#if !defined(SPIELFELD_HEADER)
#define SPIELFELD_HEADER

// Includes
#include <stdlib.h>
#include <sdl.h>

class CSpielfeld
{
public:
	CSpielfeld(short screen_breite, short screen_hoehe, short feld_breite, short feld_hoehe);
	~CSpielfeld();

	void zeichnen();

	// Pixel schreiben/lesen
	void clear();
	void putpixel(int x, int y, Uint32 pixel);
	Uint32 getpixel(int x, int y);
	void lock()  {SDL_LockSurface(sfeld);};
	void unlock(){SDL_UnlockSurface(sfeld);};

	struct str_farben
	{
		Uint32 player_old;
		Uint32 player_new;
		Uint32 gegner;
		Uint32 hint;
	} farben;

	short hoehe,breite;
	bool player_action;
	bool **mein_feld;

private:
	SDL_Surface *screen;
	SDL_Surface *sfeld;	
	SDL_Surface *sfeld_zoom;
	
	// funktion zum zoomen aus SDL_Rotozoom 1.6
	int zoomSurfaceY (SDL_Surface * src, SDL_Surface * dst);
};

#endif